Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 617184 - media-sound/playmidi: removal (was: -2.5-r2 fails to build)
Summary: media-sound/playmidi: removal (was: -2.5-r2 fails to build)
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Deadline: 2019-04-28
Assignee: Gentoo Sound Team
URL:
Whiteboard:
Keywords: PMASKED
Depends on:
Blocks: tinfo
  Show dependency tree
 
Reported: 2017-05-01 13:02 UTC by Kai Krakow
Modified: 2019-04-28 20:02 UTC (History)
5 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build log (media-sound:playmidi-2.5-r2:20170501-130030.log,4.63 KB, text/x-log)
2017-05-01 13:02 UTC, Kai Krakow
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Kai Krakow 2017-05-01 13:02:52 UTC
Created attachment 471398 [details]
build log

I think this is due to ncurses linker changes:

/usr/lib/gcc/x86_64-pc-linux-gnu/5.4.0/../../../../x86_64-pc-linux-gnu/bin/ld: io_ncurses.o: undefined reference to symbol 'nodelay'
/lib64/libtinfo.so.6: error adding symbols: DSO missing from command line
collect2: error: ld returned 1 exit status
Comment 1 Matt Bilker 2017-10-19 10:45:04 UTC
I encountered this error too on my system. I was able to compile it by adding `-ltinfo` to the `LIBNC` line in the Makefile.
Comment 2 Lars Wendler (Polynomial-C) gentoo-dev 2019-03-23 22:53:47 UTC
Tried to fix this and the result is:

io_gtk.c:19:10: fatal error: gtk/gtk.h: No such file or directory
 #include <gtk/gtk.h>
          ^~~~~~~~~~~
compilation terminated.
io_svgalib.c:17:10: fatal error: vga.h: No such file or directory
 #include <vga.h>
          ^~~~~~~

Last release is from 2001 so let's remove it.
Comment 3 Larry the Git Cow gentoo-dev 2019-03-29 10:51:31 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=eff8a60bbfb4a27461fea174897682c519df1ef9

commit eff8a60bbfb4a27461fea174897682c519df1ef9
Author:     Michał Górny <mgorny@gentoo.org>
AuthorDate: 2019-03-29 10:51:21 +0000
Commit:     Michał Górny <mgorny@gentoo.org>
CommitDate: 2019-03-29 10:51:21 +0000

    package.mask: Last rite media-sound/playmidi
    
    Bug: https://bugs.gentoo.org/617184
    Signed-off-by: Michał Górny <mgorny@gentoo.org>

 profiles/package.mask | 7 +++++++
 1 file changed, 7 insertions(+)
Comment 4 Larry the Git Cow gentoo-dev 2019-04-28 20:02:46 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c646a97e835d9b0f3f6ce544c3ccfba835bca0d4

commit c646a97e835d9b0f3f6ce544c3ccfba835bca0d4
Author:     Michał Górny <mgorny@gentoo.org>
AuthorDate: 2019-04-28 20:00:35 +0000
Commit:     Michał Górny <mgorny@gentoo.org>
CommitDate: 2019-04-28 20:02:31 +0000

    media-sound/playmidi: Remove last-rited pkg
    
    Closes: https://bugs.gentoo.org/617184
    Signed-off-by: Michał Górny <mgorny@gentoo.org>

 media-sound/playmidi/Manifest                      |  1 -
 media-sound/playmidi/files/CAN-2005-0020.patch     | 69 ----------------------
 .../playmidi/files/playmidi-2.5-includes.patch     | 66 ---------------------
 media-sound/playmidi/files/playmidi-2.5.patch      | 22 -------
 media-sound/playmidi/metadata.xml                  | 11 ----
 media-sound/playmidi/playmidi-2.5-r2.ebuild        | 56 ------------------
 profiles/package.mask                              |  7 ---
 7 files changed, 232 deletions(-)